export default interface ColorService {
  rgb(r: number, g: number, b: number): number
}

export class ColorServiceImpl implements ColorService {
  rgb(r: number, g: number, b: number): number {
    return (r << 16) + (g << 8) + b
  }
}
